## MetaBackgroundActor

MetaBackgroundActor — Actor for painting the root window background

## Synopsis

    struct              MetaBackgroundActor;
    struct              MetaBackgroundActorClass;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----ClutterActor
                   +----MetaBackgroundActor

## Implemented Interfaces

MetaBackgroundActor implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

## Details

### struct MetaBackgroundActor

    struct MetaBackgroundActor;

This class handles tracking and painting the root window background. By integrating with MetaWindowGroup we can avoid painting parts of the background that are obscured by other windows.

### struct MetaBackgroundActorClass

    struct MetaBackgroundActorClass {
    };